import * as $dara from '@darabonba/typescript';
import { ModifyInstanceMaintenanceAttributesResponseBody } from "./ModifyInstanceMaintenanceAttributesResponseBody";
export declare class ModifyInstanceMaintenanceAttributesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyInstanceMaintenanceAttributesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
